package beilv.carousel.mapper;

import java.util.List;

import beilv.carousel.domain.BeilvCarousel;

/**
 * 轮播Mapper接口
 *
 * @author ruoyi
 * @date 2025-11-18
 */
public interface BeilvCarouselMapper {
    /**
     * 查询轮播
     *
     * @param id 轮播主键
     * @return 轮播
     */
    public BeilvCarousel selectBeilvCarouselById(Long id);

    /**
     * 查询轮播列表
     *
     * @param beilvCarousel 轮播
     * @return 轮播集合
     */
    public List<BeilvCarousel> selectBeilvCarouselList(BeilvCarousel beilvCarousel);

    /**
     * 新增轮播
     *
     * @param beilvCarousel 轮播
     * @return 结果
     */
    public int insertBeilvCarousel(BeilvCarousel beilvCarousel);

    /**
     * 修改轮播
     *
     * @param beilvCarousel 轮播
     * @return 结果
     */
    public int updateBeilvCarousel(BeilvCarousel beilvCarousel);

    /**
     * 删除轮播
     *
     * @param id 轮播主键
     * @return 结果
     */
    public int deleteBeilvCarouselById(Long id);

    /**
     * 批量删除轮播
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBeilvCarouselByIds(String[] ids);

    List<BeilvCarousel> selectAppCarouselList();
}
